#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 servant-swagger
version:              1.1.11
visibility:           public
id:                   servant-swagger-1.1.11-JhvAWDlGBxyKZogAFu7ESK
key:                  servant-swagger-1.1.11-JhvAWDlGBxyKZogAFu7ESK
license:              BSD-3-Clause
copyright:            (c) 2015-2018, Servant contributors
maintainer:           haskell-servant-maintainers@googlegroups.com
author:               Servant Contributors
homepage:
    https://github.com/haskell-servant/servant/tree/master/servant-swagger#readme

synopsis:
    Generate a Swagger/OpenAPI/OAS 2.0 specification for your servant API.

description:
    Swagger is a project used to describe and document RESTful APIs. The core of the
    project is the [OpenAPI Specification (OAS)](https://swagger.io/docs/specification/about/).
    This library implements v2.0 of the spec. Unlike Servant it is language-agnostic and thus is
    quite popular among developers in different languages. It has also existed for a longer time
    and has more helpful tooling.

    This package provides means to generate a Swagger/OAS specification for a Servant API
    and also to partially test whether an API conforms with its specification.

    Generated Swagger specification then can be used for many things such as

    * displaying interactive documentation using [Swagger UI](http://swagger.io/swagger-ui/);

    * generating clients and servers in many languages using [Swagger Codegen](http://swagger.io/swagger-codegen/);

    * and [many others](http://swagger.io/open-source-integrations/).

category:             Web, Servant, Swagger
abi:                  8d0660d9a1095dd3c8b4e94f410dab6c
exposed:              True
exposed-modules:
    Servant.Swagger Servant.Swagger.Internal
    Servant.Swagger.Internal.Orphans Servant.Swagger.Internal.Test
    Servant.Swagger.Internal.TypeLevel
    Servant.Swagger.Internal.TypeLevel.API
    Servant.Swagger.Internal.TypeLevel.Every
    Servant.Swagger.Internal.TypeLevel.TMap Servant.Swagger.Test
    Servant.Swagger.TypeLevel

import-dirs:          /usr/lib/ghc-9.0.2/site-local/servant-swagger-1.1.11
library-dirs:         /usr/lib/ghc-9.0.2/site-local/servant-swagger-1.1.11
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-servant-swagger
hs-libraries:         HSservant-swagger-1.1.11-JhvAWDlGBxyKZogAFu7ESK
depends:
    QuickCheck-2.14.2-KPuM4ag3esnLuspzRljtGp
    aeson-1.5.6.0-IFKx7d1uRXb5sUuKtSGu5t
    aeson-pretty-0.8.9-COSnpIyuMcREGNVnXc2eRQ base-4.15.1.0
    base-compat-0.12.1-Jgs1a6JPC25AMVxb7dCwve bytestring-0.10.12.1
    hspec-2.9.7-FUYO2jGYiTr3ELmkwcgxTB
    http-media-0.8.0.0-DvdfKJheAnxAV1hmcZnWX3
    insert-ordered-containers-0.2.5.1-GrzfX2J76fKICEo8VnMSA8
    lens-5.1.1-8yjkw1MPrRO8rFE4kEjiW4
    servant-0.18.3-7nK7W2Lo0YOAwoNeYOXv34
    singleton-bool-0.1.6-49IHtWyoJGv7MURYzLnyNu
    swagger2-2.6.1-5zsl92UERxbhVFDOBQV2L text-1.2.5.0
    unordered-containers-0.2.19.1-DbIFFzq6LnrDtx1QZdVurE

haddock-interfaces:
    /usr/share/doc/haskell-servant-swagger/html/servant-swagger.haddock

haddock-html:         /usr/share/doc/haskell-servant-swagger/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

